【活用ガイド】

JVNDB-2021-001396

OpenSSL における NULL ポインタデリファレンスに関する脆弱性

概要

OpenSSL には、パブリック API 関数 X509_issuer_and_serial_hash() に不備があるため、NULL ポインタデリファレンスに関する脆弱性が存在します。
CVSS による深刻度 (CVSS とは?)

CVSS v3 による深刻度
基本値: 5.9 (警告) [NVD値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 高
  • 攻撃に必要な特権レベル: 不要
  • 利用者の関与: 不要
  • 影響の想定範囲: 変更なし
  • 機密性への影響(C): なし
  • 完全性への影響(I): なし
  • 可用性への影響(A): 高
CVSS v2 による深刻度
基本値: 4.3 (警告) [NVD値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 中
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): なし
  • 完全性への影響(I): なし
  • 可用性への影響(A): 部分的
影響を受けるシステム


Debian
  • Debian GNU/Linux
OpenSSL Project
  • OpenSSL 1.1.1 から 1.1.1j
  • OpenSSL 1.0.2 から 1.0.2x
Tenable, Inc.
  • Tenable.Sc
日立
  • Hitachi Ops Center Analyzer viewpoint (海外販売のみ)
  • Hitachi Ops Center Common Services (海外販売のみ)

本脆弱性の影響を受ける製品の詳細については、ベンダ情報および参考情報をご確認ください。
想定される影響

発行者フィールドが悪意を持って作成された場合、NULL ポインタデリファレンスおよびクラッシュを介して、サービス運用妨害 (DoS) 状態にされる可能性があります。
対策

ベンダより正式な対策が公開されています。ベンダ情報を参照して適切な対策を実施してください。
ベンダ情報

Debian OpenSSL Project Tenable, Inc. 日立
CWEによる脆弱性タイプ一覧  CWEとは?

  1. 整数オーバーフローまたはラップアラウンド(CWE-190) [NVD評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2021-23841
参考情報

  1. JVN : JVNVU#94508446
  2. National Vulnerability Database (NVD) : CVE-2021-23841
更新履歴

  • [2021年05月14日]
      掲載
  • [2021年05月24日]
      影響を受けるシステム:内容を更新
      ベンダ情報:Hitachi Software Vulnerability Information (hitachi-sec-2021-117) を追加 
      ベンダ情報:Hitachi Software Vulnerability Information (hitachi-sec-2021-119) を追加 
      ベンダ情報:ソフトウェア製品セキュリティ情報 (hitachi-sec-2021-117) を追加
      ベンダ情報:ソフトウェア製品セキュリティ情報 (hitachi-sec-2021-119) を追加